zenilib: SDLUIAccelerationDelegate Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Instance Methods | Class Methods | Protected Attributes | List of all members
SDLUIAccelerationDelegate Class Reference

`#import <SDLUIAccelerationDelegate.h>`

Inherits NSObject, and <UIAccelerometerDelegate>.

## Instance Methods

(void) | - accelerometer:didAccelerate:
(void) | - getLastOrientation:
(BOOL) | - hasNewData
(BOOL) | - isRunning
(void) | - setHasNewData:
(void) | - shutdown
(void) | - startup

## Class Methods

(SDLUIAccelerationDelegate *) | + sharedDelegate

## Protected Attributes

BOOL | hasNewData
BOOL | isRunning
UIAccelerationValue | x
UIAccelerationValue | y
UIAccelerationValue | z

## Detailed Description

Definition at line 26 of file SDLUIAccelerationDelegate.h.

## Method Documentation

- (void) accelerometer: |  | (UIAccelerometer *) | accelerometer
didAccelerate: |  | (UIAcceleration *) | acceleration

Definition at line 44 of file SDLUIAccelerationDelegate.m.

References hasNewData.

- (void) getLastOrientation: |  | (Sint16 *) | data |

Definition at line 70 of file SDLUIAccelerationDelegate.m.

References MAX_SINT16, and SDL_IPHONE_MAX_GFORCE.

Referenced by SDL_SYS_JoystickUpdate().

- (BOOL) hasNewData |  |  |

Definition at line 131 of file SDLUIAccelerationDelegate.m.

Referenced by accelerometer:didAccelerate:, and setHasNewData:.

- (BOOL) isRunning |  |  |

Definition at line 125 of file SDLUIAccelerationDelegate.m.

Referenced by shutdown, and startup.

- (void) setHasNewData: |  | (BOOL) | value |

Definition at line 137 of file SDLUIAccelerationDelegate.m.

References hasNewData.

Referenced by SDL_SYS_JoystickUpdate().

+ (SDLUIAccelerationDelegate *) sharedDelegate |  |  |

Definition at line 33 of file SDLUIAccelerationDelegate.m.

Referenced by SDL_SYS_JoystickClose(), SDL_SYS_JoystickOpen(), and SDL_SYS_JoystickUpdate().

- (void) shutdown |  |  |

Definition at line 116 of file SDLUIAccelerationDelegate.m.

References isRunning.

Referenced by SDL_SYS_JoystickClose().

- (void) startup |  |  |

Definition at line 109 of file SDLUIAccelerationDelegate.m.

References isRunning.

Referenced by SDL_SYS_JoystickOpen().

## Member Data Documentation

- (BOOL) hasNewData

protected

Definition at line 30 of file SDLUIAccelerationDelegate.h.

- (BOOL) isRunning

protected

Definition at line 29 of file SDLUIAccelerationDelegate.h.

- (UIAccelerationValue) x

protected

Definition at line 28 of file SDLUIAccelerationDelegate.h.

- (UIAccelerationValue) y

protected

Definition at line 28 of file SDLUIAccelerationDelegate.h.

- (UIAccelerationValue) z

protected

Definition at line 28 of file SDLUIAccelerationDelegate.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/sdl/src/joystick/iphoneos/SDLUIAccelerationDelegate.h
- zenilib/jni/external/sdl/src/joystick/iphoneos/SDLUIAccelerationDelegate.m